Microsoft Office 2016 is not currently supported with the Raiser's Edge.

The compatibility between the Raiser's Edge and Microsoft 2016 is currently under evaluation by our Product Development team. Compatibility improvements are currently being developed, and are planned to be released in a future patch in early 2017. 
We will update this article when we have more information. Visit our release page on the Blackbaud Community for details about upcoming releases. 

To see a list of compatible versions, please review our system requirements.

Note: The Blackbaud Hosting Services Boston data center runs Microsoft Office 2007. As these environments are accessed via Citrix, the version of Office installed on the local workstations does not matter and has no effect on the Raiser's Edge.